## org.apache.aries.subsystem.core.archive
Class GenericAttribute

    java.lang.Object
      org.apache.aries.subsystem.core.archive.AbstractParameter
          org.apache.aries.subsystem.core.archive.AbstractAttribute
              org.apache.aries.subsystem.core.archive.GenericAttribute

All Implemented Interfaces:
  Attribute, Parameter

    public class GenericAttribute

extends AbstractAttribute

Constructor Summary
`GenericAttribute(String name, String value)`

Method Summary

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractAttribute
`appendToFilter, toString`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractParameter
`getName, getValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.aries.subsystem.core.archive.Parameter
`getName, getValue`

Constructor Detail

### GenericAttribute

    public GenericAttribute(String name,
                            String value)

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.